# Get

Launch stage: Public Preview

`GET /api/2.0/database/instances/{name}`

Get a Database Instance.

API scopes: postgres

## Path parameters

- `name` (string, optional)
  Name of the cluster to get.

## Returns

Returns the DatabaseInstance object.

## Response

```json
{
  "uid": "string",
  "name": "string",
  "creator": "string",
  "read_write_dns": "string",
  "creation_time": "string",
  "state": "string",
  "pg_version": "string",
  "capacity": "string",
  "effective_capacity": "string",
  "stopped": true,
  "effective_stopped": true,
  "node_count": 0,
  "effective_node_count": 0,
  "enable_readable_secondaries": true,
  "effective_enable_readable_secondaries": true,
  "read_only_dns": "string",
  "retention_window_in_days": 0,
  "effective_retention_window_in_days": 0,
  "parent_instance_ref": {
    "uid": "string",
    "name": "string",
    "lsn": "string",
    "effective_lsn": "string",
    "branch_time": "string"
  },
  "child_instance_refs": [
    {
      "uid": "string",
      "name": "string",
      "lsn": "string",
      "effective_lsn": "string",
      "branch_time": "string"
    }
  ],
  "enable_pg_native_login": true,
  "effective_enable_pg_native_login": true,
  "usage_policy_id": "string",
  "effective_usage_policy_id": "string",
  "custom_tags": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "effective_custom_tags": [
    {
      "key": "string",
      "value": "string"
    }
  ]
}
```

